#if defined(__cplusplus)
extern "C" { 
#endif

#include "motion_field.h"

  float ttc(vec_field *field,
	    int x0, int y0, int x1, int y1,
	    float foex, float foey,
	    float *variance, float real_ttc,
	    float *ttc_foe, float *ttc_div, float *ttc_green,
	    float *ttc_pseudo, float *ttc_mean, 
	    int mode);
  
  float divergence(vec_field *field,int x, int y);
  float rect(vec_field *field,int x0, int y0, int x1, int y1);
  
  float quick_select(float arr[], int n) ;
  
  int ttc_map(vec_field *field,
	      float foex, float foey, int valid, 
	      int many, int size, 
	      Picture *p_in, int mode,int thresh);

#if defined(__cplusplus)
}
#endif
